Skip to main content
GET
/
driver-trailer-assignments
Get currently active driver-trailer assignments for driver.
curl --request GET \
  --url https://api.samsara.com/driver-trailer-assignments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "driver": {
        "driverId": "0987",
        "externalIds": {}
      },
      "id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d6",
      "startTime": "2019-06-13T19:08:25Z",
      "trailer": {
        "trailerId": "494123"
      },
      "createdAtTime": "2019-06-13T19:08:25Z",
      "endTime": "2019-06-13T20:10:25Z",
      "updatedAtTime": "2019-06-13T19:10:25Z"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string[]
required

A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

data
object[]
required

List of driver trailer assignment objects and their respective driver and trailer info.

pagination
object
required

Pagination parameters.